summaryrefslogtreecommitdiff
path: root/packages/binutils/binutils-2.17.50.0.1/binutils-uclibc-300-006_better_file_error.patch
diff options
context:
space:
mode:
authorKoen Kooi <koen@openembedded.org>2006-05-14 18:13:55 +0000
committerOpenEmbedded Project <openembedded-devel@lists.openembedded.org>2006-05-14 18:13:55 +0000
commit71e7ac0d631082111da2c1962c8530e71acd2595 (patch)
tree8cc784782191d8c8fd3822e98f2385c657f0d5e6 /packages/binutils/binutils-2.17.50.0.1/binutils-uclibc-300-006_better_file_error.patch
parente7bfc136e4b50cc0aca22482e4153b09c53ffe2f (diff)
binutils(-cross): add 2.17.50.0.1 snapshot
from the changelog: 1. Update from binutils 2006 0427. 2. Fix an objcopy regression (PR 2593). 3. Reduce ar memory usage (PR 2467). 4. Allow application specific ELF sections (PR 2537). 5. Fix an i386 TLS linker bug (PR 2513). 6. Speed up ia64 linker by 1300X in some cases (PR 2442). 7. Check illegal immediate register operand in i386 assembler (PR 2533). 8. Fix a strings bug (PR 2584). 9. Better handle corrupted ELF files (PR 2257). 10. Fix a MIPS linker bug (PR 2267).
Diffstat (limited to 'packages/binutils/binutils-2.17.50.0.1/binutils-uclibc-300-006_better_file_error.patch')
-rw-r--r--packages/binutils/binutils-2.17.50.0.1/binutils-uclibc-300-006_better_file_error.patch43
1 files changed, 43 insertions, 0 deletions
diff --git a/packages/binutils/binutils-2.17.50.0.1/binutils-uclibc-300-006_better_file_error.patch b/packages/binutils/binutils-2.17.50.0.1/binutils-uclibc-300-006_better_file_error.patch
new file mode 100644
index 0000000000..f337611edf
--- /dev/null
+++ b/packages/binutils/binutils-2.17.50.0.1/binutils-uclibc-300-006_better_file_error.patch
@@ -0,0 +1,43 @@
+#!/bin/sh -e
+## 006_better_file_error.dpatch by David Kimdon <dwhedon@gordian.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Specify which filename is causing an error if the filename is a
+## DP: directory. (#45832)
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/james/debian/packages/binutils/binutils-2.14.90.0.6/bfd/opncls.c binutils-2.14.90.0.6/bfd/opncls.c
+--- /home/james/debian/packages/binutils/binutils-2.14.90.0.6/bfd/opncls.c 2003-07-23 16:08:09.000000000 +0100
++++ binutils-2.14.90.0.6/bfd/opncls.c 2003-09-10 22:35:00.000000000 +0100
+@@ -150,6 +150,13 @@
+ {
+ bfd *nbfd;
+ const bfd_target *target_vec;
++ struct stat s;
++
++ if (stat (filename, &s) == 0)
++ if (S_ISDIR(s.st_mode)) {
++ bfd_set_error (bfd_error_file_not_recognized);
++ return NULL;
++ }
+
+ nbfd = _bfd_new_bfd ();
+ if (nbfd == NULL)